Bug 142546 - [new port] audio/liquidsoap
Summary: [new port] audio/liquidsoap
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-09 20:50 UTC by Mykola Dzham
Modified: 2010-02-01 12:50 UTC (History)
0 users

See Also:


Attachments
file.diff (935 bytes, patch)
2010-01-09 20:50 UTC, Mykola Dzham
no flags Details | Diff
file.shar (32.32 KB, text/plain)
2010-01-09 20:50 UTC, Mykola Dzham
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mykola Dzham 2010-01-09 20:50:01 UTC
Liquidsoap is the audio stream generator of the Savonet project, notably used for generating the stream of netradios.

Fix: Please commit required audio/libbpm ( ports/142542 ) first.
This port requires new user and group:

Port is on this shar archive:
Comment 1 Wen Heping freebsd_committer 2010-01-10 00:24:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 dfilter service freebsd_committer 2010-01-19 23:24:53 UTC
wen         2010-01-19 23:24:44 UTC

  FreeBSD ports repository

  Modified files:
    audio                Makefile 
  Added files:
    audio/liquidsoap     Makefile distinfo pkg-descr pkg-plist 
    audio/liquidsoap/files liquidsoap.sh.in patch-Makefile.in 
                           patch-liquidsoap-0.9.2__Makefile 
                           patch-liquidsoap-0.9.2__Makefile.defs.in 
                           patch-liquidsoap-0.9.2__examples__Makefile 
                           patch-ocaml-faad-0.1.3__bootstrap 
                           patch-ocaml-faad-0.1.3__configure.ac 
                           patch-ocaml-faad-0.1.3__src__Makefile.in 
                           patch-ocaml-faad-0.1.3__src__faad_stubs.c 
                           patch-ocaml-soundtouch-0.1.5__configure.ac 
                           patch-ocaml-soundtouch-0.1.5__src__Makefile.in 
                           pkg-install.in 
  Log:
  Liquidsoap is the audio stream generator of the Savonet project, notably used
  for generating the stream of netradios. It has tons of features, it's free and
  it's open-source! Liquidsoap lets you to describe your streams in a powerful and
  flexible way. Allowing arbitrarily deep-nested composition of streams, it gives
  you more power than you need for creating an original netradio. But liquidsoap
  is still very light and easy to use, in the Unix tradition of simple strong
  components working together.
  
  WWW: http://savonet.sourceforge.net/
  
  PR:             ports/142546
  Submitted by:   Mykola Dzham <i@levsha.me>
  
  Revision  Changes    Path
  1.1089    +1 -0      ports/audio/Makefile
  1.1       +148 -0    ports/audio/liquidsoap/Makefile (new)
  1.1       +3 -0      ports/audio/liquidsoap/distinfo (new)
  1.1       +32 -0     ports/audio/liquidsoap/files/liquidsoap.sh.in (new)
  1.1       +25 -0     ports/audio/liquidsoap/files/patch-Makefile.in (new)
  1.1       +13 -0     ports/audio/liquidsoap/files/patch-liquidsoap-0.9.2__Makefile (new)
  1.1       +10 -0     ports/audio/liquidsoap/files/patch-liquidsoap-0.9.2__Makefile.defs.in (new)
  1.1       +10 -0     ports/audio/liquidsoap/files/patch-liquidsoap-0.9.2__examples__Makefile (new)
  1.1       +10 -0     ports/audio/liquidsoap/files/patch-ocaml-faad-0.1.3__bootstrap (new)
  1.1       +14 -0     ports/audio/liquidsoap/files/patch-ocaml-faad-0.1.3__configure.ac (new)
  1.1       +10 -0     ports/audio/liquidsoap/files/patch-ocaml-faad-0.1.3__src__Makefile.in (new)
  1.1       +10 -0     ports/audio/liquidsoap/files/patch-ocaml-faad-0.1.3__src__faad_stubs.c (new)
  1.1       +11 -0     ports/audio/liquidsoap/files/patch-ocaml-soundtouch-0.1.5__configure.ac (new)
  1.1       +11 -0     ports/audio/liquidsoap/files/patch-ocaml-soundtouch-0.1.5__src__Makefile.in (new)
  1.1       +40 -0     ports/audio/liquidsoap/files/pkg-install.in (new)
  1.1       +9 -0      ports/audio/liquidsoap/pkg-descr (new)
  1.1       +248 -0    ports/audio/liquidsoap/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Wen Heping freebsd_committer 2010-01-19 23:26:04 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 4 Mykola Dzham 2010-02-01 12:25:00 UTC
 wen@FreeBSD.org wrote:
> Synopsis: [new port] audio/liquidsoap
> 
> State-Changed-From-To: open->closed
> State-Changed-By: wen
> State-Changed-When: Tue Jan 19 23:26:04 UTC 2010
> State-Changed-Why: 
> New port added. Thanks!
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=142546

Please add user and group into UIDs and GIDs file. Patch from original
pr:

Index: UIDs
===================================================================
RCS file: /usr/local/arch/csup/ports/UIDs,v
retrieving revision 1.100
diff -u -r1.100 UIDs
--- UIDs	28 Dec 2009 11:38:27 -0000	1.100
+++ UIDs	29 Dec 2009 09:05:10 -0000
@@ -162,3 +162,4 @@
 vboxusers:*:920:920::0:0:Virtualbox user:/nonexistent:/usr/sbin/nologin
 transmission:*:921:921::0:0:Transmission Daemon User:/usr/local/etc/transmission/home:/usr/sbin/nologin
 mongodb:*:922:922:daemon:0:0:MongoDB Account:/var/empty:/usr/sbin/nologin
+liquidsoap:*:923:923::0:0:Liquidsoap User:/nonexistent:/usr/sbin/nologin
Index: GIDs
===================================================================
RCS file: /usr/local/arch/csup/ports/GIDs,v
retrieving revision 1.86
diff -u -r1.86 GIDs
--- GIDs	28 Dec 2009 11:38:27 -0000	1.86
+++ GIDs	29 Dec 2009 09:05:10 -0000
@@ -152,3 +152,4 @@
 vboxusers:*:920:
 transmission:*:921:
 mongodb:*:922:
+liquidsoap:*:923:

-- 
LEFT-(UANIC|RIPE)
JID: levsha@jabber.net.ua
PGP fingerprint: 1BCD 7C80 2E04 7282 C944  B0E0 7E67 619E 4E72 9280
Comment 5 dfilter service freebsd_committer 2010-02-01 12:48:18 UTC
wen         2010-02-01 12:48:06 UTC

  FreeBSD ports repository

  Modified files:
    .                    GIDs UIDs 
  Log:
  - Add user and group for audio/liquidsoap
  
  PR:             ports/142546
  Submitted by:   Mykola Dzham <i@levsha.me>
  
  Revision  Changes    Path
  1.87      +2 -1      ports/GIDs
  1.101     +2 -1      ports/UIDs
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"